Subject: Re: [PATCH 14/15] module_param: make bool parameters really bool (net & drivers/net)

From: Rusty Russell <[email-masked]>
Date: Fri, 16 Dec 2011 09:44:31 +1030

On Wed, 14 Dec 2011 19:45:52 -0800, Joe Perches <[email-masked]> wrote:
> On Thu, 2011-12-15 at 13:51 +1030, Rusty Russell wrote:
> > module_param(bool) used to counter-intuitively take an int.  In
> > fddd5201 (mid-2009) we allowed bool or int/unsigned int using a messy
> > trick.
> []
> > diff --git a/drivers/net/caif/caif_serial.c b/drivers/net/caif/caif_serial.c
> []
> > @@ -38,15 +38,15 @@ MODULE_ALIAS_LDISC(N_CAIF);
> []
> > -static int ser_use_stx = 1;
> > +static bool ser_use_stx = 1;
> 
> Could you respin these please using bool foo = true/false instead?

I could, but as I was touching 457 files, so I was aiming for minimal
changes.

Dave, did you want a true/false cleanup too?

Thanks,
Rusty.